be.ehealth.business.mycarenetcommons.v4.mapper

## Class CommonInputMapperImpl

- java.lang.Object
- - be.ehealth.business.mycarenetcommons.v4.mapper.CommonInputMapper
  - - be.ehealth.business.mycarenetcommons.v4.mapper.CommonInputMapperImpl

-     @Generated(value="org.mapstruct.ap.MappingProcessor",
                 date="2024-09-05T14:21:04+0200",
                 comments="version: 1.5.5.Final, compiler: javac, environment: Java 1.8.0_101 (Oracle Corporation)")
      public class CommonInputMapperImpl
      extends CommonInputMapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonInputMapperImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttributeType` | `map(Attribute input)`
    `CareProviderType` | `map(CareProvider input)`
    `CommonInputType` | `map(CommonInput input)`
    `IdType` | `map(Identification input)`
    `NihiiType` | `map(Nihii input)`
    `OriginType` | `map(Origin input)`
    `PackageType` | `map(PackageInfo input)`
    `PartyType` | `map(Party input)`
    `ReferenceType` | `map(Reference input)`

    - ### Methods inherited from class be.ehealth.business.mycarenetcommons.v4.mapper.CommonInputMapper

      `doAfterMapping, doAfterMapping, doAfterMapping, doAfterMapping`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonInputMapperImpl

          public CommonInputMapperImpl()

  - ### Method Detail

    - #### map

          public CommonInputType map(CommonInput input)

      Specified by:
        `map` in class `CommonInputMapper`

    - #### map

          public OriginType map(Origin input)

      Specified by:
        `map` in class `CommonInputMapper`

    - #### map

          public PackageType map(PackageInfo input)

      Specified by:
        `map` in class `CommonInputMapper`

    - #### map

          public CareProviderType map(CareProvider input)

      Specified by:
        `map` in class `CommonInputMapper`

    - #### map

          public NihiiType map(Nihii input)

      Specified by:
        `map` in class `CommonInputMapper`

    - #### map

          public IdType map(Identification input)

      Specified by:
        `map` in class `CommonInputMapper`

    - #### map

          public PartyType map(Party input)

      Specified by:
        `map` in class `CommonInputMapper`

    - #### map

          public ReferenceType map(Reference input)

      Specified by:
        `map` in class `CommonInputMapper`

    - #### map

          public AttributeType map(Attribute input)

      Specified by:
        `map` in class `CommonInputMapper`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.